import { CustomResource } from 'aws-cdk-lib';
import { ICertificate } from 'aws-cdk-lib/aws-certificatemanager';
import { Distribution } from 'aws-cdk-lib/aws-cloudfront';
import { Bucket } from 'aws-cdk-lib/aws-s3';
import { BucketDeployment } from 'aws-cdk-lib/aws-s3-deployment';
import { Construct } from 'constructs';
export interface VueDeploymentProps {
    readonly source: string;
    readonly bucket?: Bucket;
    readonly bucketName?: string;
    readonly websiteDirectoryPrefix?: string;
    readonly memoryLimit?: number;
    readonly prune?: boolean;
    readonly retainOnDelete?: boolean;
    readonly enableDistribution?: boolean;
    readonly distribution?: Distribution;
    readonly certificate?: ICertificate;
    readonly domainNames?: string[];
    readonly indexHtml?: string;
    readonly distributionComment?: string;
    readonly enableIpv6?: boolean;
    readonly environment?: {
        [key: string]: string;
    };
    readonly bundlingArguments?: string;
    readonly runsLocally?: boolean;
    readonly forceDockerBundling?: boolean;
    readonly nodeImage?: string | 'public.ecr.aws/bitnami/node';
    readonly configJsKey?: string;
    readonly config?: {
        [key: string]: any;
    };
}
export declare class VueDeployment extends Construct {
    readonly bucket: Bucket;
    readonly bucketDeployment: BucketDeployment;
    readonly cloudfrontDistribution: Distribution;
    readonly uploadConfigResource: CustomResource;
    private readonly websiteDirectoryPrefix;
    constructor(scope: Construct, id: string, props: VueDeploymentProps);
    private createOrGetBucket;
    private createBucketDeployment;
    private createUploadConfigResource;
    private createCloudfrontDistribution;
}
